sddsedit requires Tktable 2.11

Moderators: cyao, soliday

Post Reply
blanco-garcia
Posts: 39
Joined: 29 Oct 2021, 10:41

sddsedit requires Tktable 2.11

Post by blanco-garcia » 22 Nov 2021, 04:10

Dear all,

sddsedit calls the library libTKtable2.11 which is not available for CENT OS 7 or 8.

Code: Select all

$ sddsedit
Error in startup script: can't find package Tktable
    while executing
"package require Tktable"
    invoked from within
"if {[info exists tcl_pkgPath]} {
    set tableLib [file join [lindex $tcl_pkgPath 0] Tktable2.11 libTktable2.11.so]
    if {($tcl_platform(os) == "Lin..."
    (file "/usr/bin/sddsedit" line 127)
Is there an alternative to this package ?
I tried to do a search but the most recent tktable from source is Tktable2.10.

Best regards,

o

soliday
Posts: 366
Joined: 28 May 2008, 09:15

Re: sddsedit requires Tktable 2.11

Post by soliday » 22 Nov 2021, 10:27

You can download:

https://ops.aps.anl.gov/downloads/Tktable2.11.tar
and unpack it into:
/usr/lib64/tk8.5/Tktable2.11

I'll look into creating a proper RPM for it.

blanco-garcia
Posts: 39
Joined: 29 Oct 2021, 10:41

Re: sddsedit requires Tktable 2.11

Post by blanco-garcia » 23 Nov 2021, 03:30

Perfect ! Thank you.

o

Post Reply